Package ru.bitel.bgbilling.kernel.task.common.bean

# Class PackageTaskData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.task.common.bean.PackageTaskData

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `TaskData`

public class PackageTaskData extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageTaskData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getDay()`
  `int`
  `getDayOfWeek()`
  `List<DependentTask>`
  `getDependentTasks()`
  `int`
  `getHour()`
  `long`
  `getMin()`
  `int`
  `getMonth()`
  `Period`
  `getPeriod()`
  `int`
  `getPriority()`
  `TaskStatus`
  `getTaskStatus()`
  `PackageTaskData`
  `setComment(String comment)`
  `PackageTaskData`
  `setDay(int day)`
  `PackageTaskData`
  `setDayOfWeek(int dayOfWeek)`
  `PackageTaskData`
  `setDependentTasks(List<DependentTask> dependentTasks)`
  `PackageTaskData`
  `setHour(int hour)`
  `PackageTaskData`
  `setId(int id)`
  Устанавливает id объекта
  `PackageTaskData`
  `setMin(long min)`
  `PackageTaskData`
  `setMonth(int month)`
  `PackageTaskData`
  `setPeriod(Period period)`
  `PackageTaskData`
  `setPriority(int priority)`
  `PackageTaskData`
  `setTaskStatus(TaskStatus taskStatus)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PackageTaskData

    public PackageTaskData()

- ## Method Details

  - ### getMonth

    public int getMonth()

  - ### getDay

    public int getDay()

  - ### getHour

    public int getHour()

  - ### getDayOfWeek

    public int getDayOfWeek()

  - ### getMin

    public long getMin()

  - ### getPeriod

    public Period getPeriod()

  - ### getPriority

    public int getPriority()

  - ### getTaskStatus

    public TaskStatus getTaskStatus()

  - ### getComment

    public String getComment()

  - ### getDependentTasks

    public List<DependentTask> getDependentTasks()

  - ### setId

    public PackageTaskData setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setMonth

    public PackageTaskData setMonth(int month)

  - ### setDay

    public PackageTaskData setDay(int day)

  - ### setHour

    public PackageTaskData setHour(int hour)

  - ### setDayOfWeek

    public PackageTaskData setDayOfWeek(int dayOfWeek)

  - ### setMin

    public PackageTaskData setMin(long min)

  - ### setPeriod

    public PackageTaskData setPeriod(Period period)

  - ### setPriority

    public PackageTaskData setPriority(int priority)

  - ### setTaskStatus

    public PackageTaskData setTaskStatus(TaskStatus taskStatus)

  - ### setComment

    public PackageTaskData setComment(String comment)

  - ### setDependentTasks

    public PackageTaskData setDependentTasks(List<DependentTask> dependentTasks)